aries-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Mark Nuttall <mnutt...@apache.org>
Subject Re: Problem building aries
Date Mon, 17 Oct 2011 16:00:39 GMT
Hi Jeremy,
>So, please consider my proposal in this thread to use -next-SNAPSHOT.

+1

Sounds like a good idea to me.

Regards,
Mark

On 17 October 2011 11:25, Jeremy Hughes <hughesj@apache.org> wrote:

> On 17 October 2011 10:49, Alasdair Nottingham <not@apache.org> wrote:
> > Hi,
> >
> > Currently I can't build the eba-maven-plugin (I have a fresh unbuild svn
> > checkout). The pom has the following:
> >
> >    <parent>
> >        <groupId>org.apache.aries</groupId>
> >        <artifactId>java5-parent</artifactId>
> >        <version>0.5-SNAPSHOT</version>
> >
> >
> <relativePath>../parent/default-parent/java5-parent/pom.xml</relativePath>
> >    </parent>
> >
> > This fails because the parent pom at the provided location is 0.5 not
> > 0.5-SNAPSHOT. It builds if I change the version to be 0.5. I tried
> setting
> > the relativePath to be <relativePath/> as is the case for a lot of our
> poms
> > but this doesn't change anything.
> >
> > So is the right thing for me to do here to update the eba-maven-plugin to
> > reference the parent of 0.5?
>
> While the release is being staged the trunk seems to be unbuildable. I
> hope to have everything up to blueprint ready to call a vote today,
> but that will still leave 72 hours where it still isn't buildable.
> This isn't good enough - it needs to be buildable all the time. So,
> please consider my proposal in this thread to use -next-SNAPSHOT.
>
> I'm considering, right now, changing all the versions in the modules
> that I've staged from trunk back to their pre-staged versions. Then
> when the votes come in, move them up. WDYT?
>
> >
> > Thanks
> > Alasdair
> >
> >
> > On 17 October 2011 05:23, Jeremy Hughes <hughesj@apache.org> wrote:
> >
> >> On 17 October 2011 00:38, Alasdair Nottingham <not@apache.org> wrote:
> >> > I think I sort of know what the problem is. The parent poms are
> currently
> >> > versioned at 0.5 in trunk and all the other projects reference it as
> >> > 0.5-SNAPSHOT. I assume this relates to the release work going on, but
> is
> >> > there any chance this can be fixed?
> >>
> >> I thought I had deployed parent 0.5-SNAPSHOT before staging its
> >> release. Sorry, doesn't look like I could have done that. I just
> >> deployed a parent 0.5 at r1177640. Hopefully that should work for you.
> >>
> >> >
> >> > Thanks
> >> > Alasdair
> >> >
> >> > On 16 October 2011 19:25, Alasdair Nottingham <not@apache.org> wrote:
> >> >
> >> >> I'm still not having any luck. I've removed my local m2 repo, rebuild
> >> >> parent and I'm still getting this problem. I guess I could try to do
> >> another
> >> >> checkout.
> >> >>
> >> >> Alasdair
> >> >>
> >> >>
> >> >> On 14 October 2011 16:23, John W Ross <jwross@us.ibm.com> wrote:
> >> >>
> >> >>> I suddenly started hitting a similar issue a few moments ago,
> although
> >> I
> >> >>> did not do an svn update prior to its appearance.
> >> >>>
> >> >>> [ERROR]
> >> >>> Failed to execute goal on project org.apache.aries.subsystem.core:
> >> >>> Could not resolve dependencies for project
> >> >>>
> >> >>>
> >>
> org.apache.aries.subsystem:org.apache.aries.subsystem.core:bundle:0.1-SNAPSHOT:
> >> >>>
> >> >>> Failed to collect dependencies for [
> >> >>>
> >> >>>
> >>
> org.apache.aries.subsystem:org.apache.aries.subsystem.api:jar:0.1-SNAPSHOT
> >> >>> (compile),
> >> >>>        org.apache.aries:org.apache.aries.util:jar:0.4-SNAPSHOT
> >> (compile),
> >> >>>
> >> >>>
> >> >>>
> >> >>>
> >>
> org.apache.aries.application:org.apache.aries.application.api:jar:0.3.1-SNAPSHOT
> >> >>> (compile),
> >> >>>
> >> >>>
> >> >>>
> >>
> org.apache.aries.application:org.apache.aries.application.utils:jar:0.3.1-SNAPSHOT
> >> >>> (compile),
> >> >>>        org.eclipse:osgi:jar:3.8.0-SNAPSHOT (provided),
> >> >>>        org.eclipse.equinox:coordinator:jar:1.0.0.v20110314
> (compile),
> >> >>>        org.eclipse.equinox:region:jar:1.0.0.v20110506 (compile),
> >> >>>        org.apache.felix:org.apache.felix.utils:jar:1.1.0 (compile),
> >> >>>        org.apache.felix:org.apache.felix.bundlerepository:jar:1.6.4
> >> >>> (compile),
> >> >>>
> >> >>>
> >> >>>
> >>
> org.apache.aries.testsupport:org.apache.aries.testsupport.unit:jar:0.4-SNAPSHOT
> >> >>> (test),
> >> >>>        org.slf4j:slf4j-simple:jar:1.5.11 (test),
> >> >>>        org.slf4j:slf4j-api:jar:1.5.11 (compile),
> >> >>>        junit:junit:jar:4.8.1 (test)]:
> >> >>> Failed to read artifact descriptor for
> >> >>>
> >> >>>
> >>
> org.apache.aries.testsupport:org.apache.aries.testsupport.unit:jar:0.4-SNAPSHOT:
> >> >>>
> >> >>> Failure to find org.apache.aries:java5-parent:pom:0.5 in
> >> >>> http://repo1.maven.org/maven2 was cached in the local repository,
> >> >>> resolution will not be reattempted until the update interval of
> central
> >> >>> has elapsed or updates are forced -> [Help 1]
> >> >>>
> >> >>> The key was apparently "Failure to find
> >> >>> org.apache.aries:java5-parent:pom:0.5". I noticed I did not have
a
> pom
> >> >>> file within my local m2 repo under
> org/apache/aries/java5-parent/0.5. I
> >> >>> did an svn update followed by an mvn clean install within the
> >> aries/parent
> >> >>> directory, which produced the absent pom file. I am now able to
> >> >>> successfully execute the goal that was previously failing.
> >> >>>
> >> >>> ~ John
> >> >>>
> >> >>> >
> >> >>> > Subject
> >> >>> >
> >> >>> > Problem building aries
> >> >>> >
> >> >>> > Hi,
> >> >>> >
> >> >>> > I've just done an svn up and nothing will build. I get the
> following
> >> >>> > exception:
> >> >>> >
> >> >>> > [INFO] Scanning for projects...
> >> >>> > [ERROR] The build could not read 4 projects -> [Help 1]
> >> >>> > [ERROR]
> >> >>> > [ERROR]   The project
> >> >>> >
> >> >>>
> >> >>>
> >>
> org.apache.aries.application:org.apache.aries.application.api:0.3.1-SNAPSHOT
> >> >>> > (/Users/nottinga/Documents/apache/aries/trunk/application/
> >> >>> > application-api/pom.xml)
> >> >>> > has 1 error
> >> >>> > [ERROR]     Non-resolvable parent POM: Could not find artifact
> >> >>> > org.apache.aries:java5-parent:pom:0.5-SNAPSHOT and
> >> 'parent.relativePath'
> >> >>> > points at wrong local POM @ line 21, column 13 -> [Help
2]
> >> >>> > [ERROR]
> >> >>> > [ERROR]   The project
> >> >>> >
> >> >>>
> >> >>>
> >>
> org.apache.aries.application:org.apache.aries.application.utils:0.3.1-SNAPSHOT
> >> >>> > (/Users/nottinga/Documents/apache/aries/trunk/application/
> >> >>> > application-utils/pom.xml)
> >> >>> > has 1 error
> >> >>> > [ERROR]     Non-resolvable parent POM: Could not find artifact
> >> >>> > org.apache.aries:java5-parent:pom:0.5-SNAPSHOT and
> >> 'parent.relativePath'
> >> >>> > points at no local POM @ line 21, column 13 -> [Help 2]
> >> >>> > [ERROR]
> >> >>> > [ERROR]   The project
> >> >>> >
> org.apache.aries.application:org.apache.aries.application.modeller:
> >> >>> > 0.3.1-SNAPSHOT
> >> >>> > (/Users/nottinga/Documents/apache/aries/trunk/application/
> >> >>> > application-modeller/pom.xml)
> >> >>> > has 1 error
> >> >>> > [ERROR]     Non-resolvable parent POM: Could not find artifact
> >> >>> > org.apache.aries:java5-parent:pom:0.5-SNAPSHOT and
> >> 'parent.relativePath'
> >> >>> > points at no local POM @ line 21, column 13 -> [Help 2]
> >> >>> > [ERROR]
> >> >>> > [ERROR]   The project
> >> >>> >
> >> >>>
> >> >>>
> >>
> org.apache.aries.application:application-modeller-standalone:0.3.1-SNAPSHOT
> >> >>> > (/Users/nottinga/Documents/apache/aries/trunk/application/
> >> >>> > application-modeller-standalone/pom.xml)
> >> >>> > has 1 error
> >> >>> > [ERROR]     Non-resolvable parent POM: Could not find artifact
> >> >>> > org.apache.aries:java5-parent:pom:0.5-SNAPSHOT and
> >> 'parent.relativePath'
> >> >>> > points at no local POM @ line 21, column 13 -> [Help 2]
> >> >>> > [ERROR]
> >> >>> > [ERROR] To see the full stack trace of the errors, re-run
Maven
> with
> >> the
> >> >>> -e
> >> >>> > switch.
> >> >>> > [ERROR] Re-run Maven using the -X switch to enable full debug
> >> logging.
> >> >>> > [ERROR]
> >> >>> > [ERROR] For more information about the errors and possible
> solutions,
> >> >>> please
> >> >>> > read the following articles:
> >> >>> > [ERROR] [Help 1]
> >> >>> >
> >> >>>
> >>
> http://cwiki.apache.org/confluence/display/MAVEN/ProjectBuildingException
> >> >>> > [ERROR] [Help 2]
> >> >>> >
> >> >>>
> >> >>>
> >>
> http://cwiki.apache.org/confluence/display/MAVEN/UnresolvableModelException
> >> >>>
> >> >>> >
> >> >>> > does anyone know what the problem might be?
> >> >>> >
> >> >>> > maven -version shows this:
> >> >>> >
> >> >>> > Apache Maven 3.0.3 (r1075438; 2011-02-28 17:31:09+0000)
> >> >>> > Maven home: /usr/share/maven
> >> >>> > Java version: 1.6.0_26, vendor: Apple Inc.
> >> >>> > Java home:
> >> >>> /System/Library/Java/JavaVirtualMachines/1.6.0.jdk/Contents/Home
> >> >>> > Default locale: en_US, platform encoding: MacRoman
> >> >>> > OS name: "mac os x", version: "10.7.2", arch: "x86_64", family:
> "mac"
> >> >>> >
> >> >>> > --
> >> >>> > Alasdair Nottingham
> >> >>> > not@apache.org
> >> >>>
> >> >>>
> >> >>
> >> >>
> >> >> --
> >> >> Alasdair Nottingham
> >> >> not@apache.org
> >> >>
> >> >
> >> >
> >> >
> >> > --
> >> > Alasdair Nottingham
> >> > not@apache.org
> >> >
> >>
> >
> >
> >
> > --
> > Alasdair Nottingham
> > not@apache.org
> >
>

Mime
  • Unnamed multipart/alternative (inline, None, 0 bytes)
View raw message